Skip to main content
GET
/
v1
/
financials
/
{cik}
/
balance
Balance sheets
curl --request GET \
  --url https://api.ivory.finance/v1/financials/{cik}/balance \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "ticker": "<string>",
    "report_period": "2023-12-25",
    "fiscal_year": 123,
    "fiscal_period_code": "<string>",
    "period_type": "<string>",
    "total_assets": 123,
    "current_assets": 123,
    "cash_and_equivalents": 123,
    "inventory": 123,
    "trade_and_non_trade_receivables": 123,
    "non_current_assets": 123,
    "property_plant_and_equipment": 123,
    "goodwill_and_intangible_assets": 123,
    "total_liabilities": 123,
    "current_liabilities": 123,
    "current_debt": 123,
    "non_current_liabilities": 123,
    "non_current_debt": 123,
    "total_debt": 123,
    "shareholders_equity": 123,
    "retained_earnings": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

fiscal_year
integer | null
period
string | null

FY, Q1, Q2, Q3, or Q4

limit
integer
default:8
Required range: 1 <= x <= 40

Response

Successful Response

accession_number
string
required
cik
string | null
ticker
string | null
report_period
string<date> | null
fiscal_year
integer | null
fiscal_period_code
string | null
period_type
string | null
total_assets
number | null
current_assets
number | null
cash_and_equivalents
number | null
inventory
number | null
trade_and_non_trade_receivables
number | null
non_current_assets
number | null
property_plant_and_equipment
number | null
goodwill_and_intangible_assets
number | null
total_liabilities
number | null
current_liabilities
number | null
current_debt
number | null
non_current_liabilities
number | null
non_current_debt
number | null
total_debt
number | null
shareholders_equity
number | null
retained_earnings
number | null